<?

$lines = file("brockhaus.htm");
$count = count($lines);

$fp = fopen("brockhaus.idx", "w");

fputs($fp, "Библейский словарь Брокгауза\r\n");

$offset = 0;

for($i=0;$i<$count;$i++)
{
	if(substr($lines[$i],0,4)=='<h4>')
		fputs($fp, strip_tags(trim($lines[$i]))."\r\n".$offset."\r\n");

	$offset += strlen($lines[$i]);
}

fclose($fp);

?>